EMT/SA1 WorkLog

AMGA

21.09 - Hwang - name of the person/s that will take part to the weekly EMT-meetings; name of the person/s that will be responsible to add new configurations in ETICS

27.09 - Sunil Ahn - list of dependencies

06.10 - Sunil Ahn - list of configurations to clone - only 1 confg => CA - completed list of configs to clone

27.10 - Sunil Ahn - permissions on the emi.amga

03.11 - Sunil Ahn - problems with unresolved external dependencies

CA:

  • emi.amga removed from project-configuration
  • investigated problems in amga builds - connected with unixodbc dependency

APEL

06.09 - CDCN - sompleted SRC

07.09 - CDCN - participant at the EMT phone-confs

10.09 - CDCN - list of external dependencies

04.10 - CDCN - complete list of configs to clone

10.10 - CDCN - agree on java version

02.11 - CDCN - out of office reply - " error in APEL configurations"

04.11 - CDCN - explained that APEL needs activemq & mm-mysql, but not bcprov-jdk14 - use bouncycastle instead

05.11 - CA - corected "moduleName" error in configs

08.11 - CDCN - provlems resolving external-deps versions - CA - should build against the emi_0 project-config

10.11 - CDCAN - error building:

 /home/condor/execute/dir_32668/userdir/emi.apel.core/build.xml:44: /usr/share/java/share/java not found
12.11 - CDCN + CA - discusison on use of WA and AppendRequirement for the buils

ARC

good communication!

Some notes:

04.10 - MartinSavko - arc0, arc1 - The configurations instructions are for now limited to building codefrom source. No packaging instructions implemented yet.

11.10 - Martin - Sorry for misunderstanding regarding 1.4.2-gcj-compact-devel. It would be relevant only for older releases of some Linux distributions (e.g. Fedora Core 4 and lower). It is not relevant for EMI-0 target platforms.

13.10 - Martin - problems with gridsite (cppunit-devel, graphviz)

CA:

  • As for gridsite-devel, I think this one is to be considered as an internal-dependency, being developed by the CESNETSecurity (Zdenek), and in this moment included in the org.gridsite.core. For ex libgridsite.so is provided by gridsite-shared, So Zdenek will have to reorganize the org.gridsite.core to become Fedora/EPEL compliant, repackaging it to provide gridsite, gridsite-clients, gridsite-devel, gridsite-doc, gridsite-gsexec, gridsite-libs.

13.10 - Martin - problems with voms dependenceies (expat & globus)

20.10 - Martin - I have pointed to voms location using ARC configure directive (./configure --with-voms-location=${stageDir}/usr). I understood that according to guidelines this is a recommended solution (rather then modifying or setting environment variables).

26.10 - Martin - "CLASSPATH variable on EMI-0 build machine"

27.10 - Martin

  • CLASSPATH environmental variable on the build machine being set to unusual value during the build
  • lfc dependency

CA - help on finding the right options for config

07.11 - Martin - problems with gridsite - that requires globus

07.11 - CA - build ARC with "--nodeps"

10.11 - Martin - problems with lfc - that misses globus dependencies

ARGUS

07.09 - Valery - participants to EMT-phones, etics-confg responsable, SRC

21.09 - Valery - updated list of ecternal dependencies

27.09 - Valery - dependencies - on lcg-CA, fetch-crl, hessian-java

06.10 - Valery - request creation of emi.argus

08.10 - Valery - problem with maven

15.10 - Valery - In the emi_0 and emi_0_dev configurations, you could temporary set JAVA_HOME to "/usr/java/jdk1.6.0_20" as long as the Sun JDK vs OpenJDK issue is not resolved.

15.10 - Valery

15.10 - Valery - java-1.6.0-openjdk, java-1.6.0-openjdk-devel and remove: jdk

12.11 - Valery - Hessian-java is not an external dependency anymore, and is included in the glite-argus-pep-common package (emi-argus-pep-common_B_2_1). They should update their depencendy list, removed externals.hessian-java, and have emi.argus.pep-common and emi.argus.pep-api-java

12.11 - Valery - corrected emi-argus_B_1_2

DCACHE

gLiteSecurity

07.09 - JohnW - EMT phone-conf participants, future reorganiz of gLiteSecurity ETICS structure

27.09 - OscarK - We are ready for the move. As it will be transparent to us and we are prepared for all Debian and Red Hat build for some time now.

29.09 - OscarK - discussion about cloning configs

30.09 - OscarK - splitting the org.glite.security into three parts, being the CESNET part, TrustManager/util-java and the gLExec/lcas/lcmaps/scas/etc components.

04.10 - OscarK - SAC, SiteAccessControl or siteaccesscontrol for the glexec/lcas/lcmaps/scas/saml2-xacml2-c-lib/etc components

06.10 - JoniH

glite.security.util-java -> emi.trustmanager
glite.security.trustmanager -> emi.trustmanager-tomcat
glite.security.trustmanager-* -> emi.trustmanger-*
glite.security.test-utils -> emi.trustmanager-test-certs 

06.10 - OscarK - As we have a list of configurations to cover, we'll need to hack and tinkering with the Etics CLI/web voodoo tools a bit to conform to this csv format. To construct an ideal baseline environment for EMI this is activity is going to be quite labor intensive, while IMHO automation could have helped us save time.

11.10 - OscarK - Attached is the final "cloning-list".

18.10 - OscarK - org.glite.security.acl-parser and org.glite.security.fqan-c component: I don't know what to do with them. I know that the fqan-c component is created by Switch. It could fit into our EMI subsystem and I think we can adopt it, if it remains homeless/subsystem-less.

03.11 - JohnW - dependecies on axis2, gwt-lib, jug - needed

06.11 - JoniH - Axis2 is needed by trustmanager-axis2, but trustmanager-axis2 was created to accommodate people that would move to Axis2 as that's the new axis ant is maintained, Axis hasn't been updated since 2006! But I don't think anybody in glite has moved to axis2 yet. So, I would put that on low priority.

CA Activity:

02.11 - didn't find any emi.sac subsystem-configuration (maybe it was an error on the cloning script) - took the liberty to create the emi-sac_B_HEAD

axis2 -> requester emi-trustmanager-axis2
gwt-lib -> emi.java-security.trustmanager
jug -> emi.java-security.trustmanager

05.11 - to solve some of the Failed, corrected the "moduleName" for gLiteSecurity:

emi.java-security.trustmanager
emi.java-security.trustmanager-tomcat
emi.delegation.delegation-java
emi.hydra.ssss
emi.sac.yaim-glexec-wn
emi.sac.lcmaps
emi.sac.lcmaps-plugins-gums
emi.sac.lcmaps-interface
emi.sac.lcas-interface
emi.sac.lcas-plugins-voms-attr
emi.sac.scas
emi.sac.lcmaps-rules-parser
emi.sac.lcmaps-plugins-voms-attr
emi.sac.lcmaps-plugins-afs
emi.sac.lcas-lcmaps-gt4-interface
emi.sac.yaim-scas
emi.sac.lcmaps-plugins-jobrep 

05.11 - CA - corected "moduleName" error in configs for APEL

07.11 modify the emi-sac-jobrepository_R_1_2_5_1 that had the version "1.1.5-1" that seems wrong:

version:    1.1.5-1
to
version:    1.2.5-1 

14.11.2010:

  • readded jakarta-commons-httpclient, jakarta-commons-logging to emi.cream-ce, & DEFAULT in emi_R_0 Properties
  • added "package.rpm.disable.python-bytecompile: True" to emi-trustmanager-tomcat_R_2_5_7_1
  • added to emi_R_0, Default platform - gLiteCopyrightText, gLiteLicenseText
  • updated "EMI-0 Activity"

-- DoinaCristinaAiftimiei - 14-Nov-2010

Edit | Attach | Watch | Print version | History: r4 < r3 < r2 < r1 | Backlinks | Raw View | WYSIWYG | More topic actions
Topic revision: r4 - 2010-11-14 - DoinaCristinaAiftimiei
 
    • Cern Search Icon Cern Search
    • TWiki Search Icon TWiki Search
    • Google Search Icon Google Search

    EMI All webs login

This site is powered by the TWiki collaboration platform Powered by PerlCopyright & 2008-2020 by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding TWiki? Send feedback